==========================================================================
Ubuntu Security Notice USN-6438-2
October 25, 2023

.Net regressions
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.10

Summary:

An incomplete fix was discovered in .Net.

Software Description:
- dotnet6: dotNET CLI tools and runtime
- dotnet7: dotNET CLI tools and runtime

Details:

USN-6438-1 fixed vulnerabilities in .Net. It was discovered that the fix
for [CVE-2023-36799](https://ubuntu.com/security/CVE-2023-36799) was incomplete. This update fixes the problem.

Original advisory details:

 Kevin Jones discovered that .NET did not properly process certain
 X.509 certificates. An attacker could possibly use this issue to
 cause a denial of service. (CVE-2023-36799)
 
 It was discovered that the .NET Kestrel web server did not properly
 handle HTTP/2 requests. A remote attacker could possibly use this
 issue to cause a denial of service. (CVE-2023-44487)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.10:
  aspnetcore-runtime-6.0          6.0.124-0ubuntu1~23.10.1
  aspnetcore-runtime-7.0          7.0.113-0ubuntu1~23.10.1
  dotnet-host                     6.0.124-0ubuntu1~23.10.1
  dotnet-host-7.0                 7.0.113-0ubuntu1~23.10.1
  dotnet-hostfxr-6.0              6.0.124-0ubuntu1~23.10.1
  dotnet-hostfxr-7.0              7.0.113-0ubuntu1~23.10.1
  dotnet-runtime-6.0              6.0.124-0ubuntu1~23.10.1
  dotnet-runtime-7.0              7.0.113-0ubuntu1~23.10.1
  dotnet-sdk-6.0                  6.0.124-0ubuntu1~23.10.1
  dotnet-sdk-7.0                  7.0.113-0ubuntu1~23.10.1
  dotnet6                         6.0.124-0ubuntu1~23.10.1
  dotnet7                         7.0.113-0ubuntu1~23.10.1

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-6438-2
  https://ubuntu.com/security/notices/USN-6438-1
  CVE-2023-36799, https://launchpad.net/bugs/2040207, https://launchpad.net/bugs/2040208

Package Information:
  https://launchpad.net/ubuntu/+source/dotnet6/6.0.124-0ubuntu1~23.10.1
  https://launchpad.net/ubuntu/+source/dotnet7/7.0.113-0ubuntu1~23.10.1

Ubuntu 6438-2: .Net regressions

October 25, 2023
An incomplete fix was discovered in .Net.

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 23.10 Summary: An incomplete fix was discovered in .Net. Software Description: - dotnet6: dotNET CLI tools and runtime - dotnet7: dotNET CLI tools and runtime Details: USN-6438-1 fixed vulnerabilities in .Net. It was discovered that the fix for [CVE-2023-36799](https://ubuntu.com/security/CVE-2023-36799) was incomplete. This update fixes the problem. Original advisory details: Kevin Jones discovered that .NET did not properly process certain X.509 certificates. An attacker could possibly use this issue to cause a denial of service. (CVE-2023-36799) It was discovered that the .NET Kestrel web server did not properly handle HTTP/2 requests. A remote attacker could possibly use this issue to cause a denial of service. (CVE-2023-44487)

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 23.10: aspnetcore-runtime-6.0 6.0.124-0ubuntu1~23.10.1 aspnetcore-runtime-7.0 7.0.113-0ubuntu1~23.10.1 dotnet-host 6.0.124-0ubuntu1~23.10.1 dotnet-host-7.0 7.0.113-0ubuntu1~23.10.1 dotnet-hostfxr-6.0 6.0.124-0ubuntu1~23.10.1 dotnet-hostfxr-7.0 7.0.113-0ubuntu1~23.10.1 dotnet-runtime-6.0 6.0.124-0ubuntu1~23.10.1 dotnet-runtime-7.0 7.0.113-0ubuntu1~23.10.1 dotnet-sdk-6.0 6.0.124-0ubuntu1~23.10.1 dotnet-sdk-7.0 7.0.113-0ubuntu1~23.10.1 dotnet6 6.0.124-0ubuntu1~23.10.1 dotnet7 7.0.113-0ubuntu1~23.10.1 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-6438-2

https://ubuntu.com/security/notices/USN-6438-1

CVE-2023-36799, https://launchpad.net/bugs/2040207, https://launchpad.net/bugs/2040208

Severity
Ubuntu Security Notice USN-6438-2

Package Information

https://launchpad.net/ubuntu/+source/dotnet6/6.0.124-0ubuntu1~23.10.1 https://launchpad.net/ubuntu/+source/dotnet7/7.0.113-0ubuntu1~23.10.1

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo